私たちのアプリをインストールする 🪄 アドレスバーの右上にあるアイコンをクリックします。

署名

GET https://digily.link/api/signatures/
curl --request GET \
--url 'https://digily.link/api/signatures/' \
--header 'Authorization: Bearer {api_key}' \
パラメータ 詳細 説明
search オプション 文字列 検索文字列。
search_by オプション 文字列 どのフィールドで検索していますか。許可されている値は: name
datetime_field オプション 文字列 許可されている値: datetime, last_datetime
datetime_start オプション 文字列 この日時から始まる結果をフィルタリングします。Y-m-d H:i:s 形式。
datetime_end オプション 文字列 この日時までの結果をフィルターします。Y-m-d H:i:s形式。
order_by オプション 文字列 結果を並べ替えるフィールド。許可されている値は: signature_id, datetime, last_datetime, name
order_type オプション 文字列 結果の順序。許可される値は、昇順のASCと降順のDESCです。
page オプション 整数 結果を取得したいページ番号。デフォルトは1です。
results_per_page オプション 整数 1ページあたりの結果数を指定してください。許可されている値は: 10, 25, 50, 100, 250, 500, 1000。デフォルトは25です。
{
    "data": [
        {
            "id": 1,
            "user_id": 1,
            "project_id": 0,
            "name": "John Doe",
            "template": "mars",
            "settings": {
                "direction": "ltr",
                "is_removed_branding": true,
                "image_url": "",
                "sign_off": "Regards,",
                "full_name": "John Doe",
                "job_title": "Software Engineer",
                "department": "Engineering",
                "company": "Example Company",
                "email": "john@example.com",
                "website_name": "Example",
                "website_url": "https:\/\/example.com\/",
                "address": "123 Example Street",
                "address_url": "",
                "phone_number": "",
                "whatsapp": "",
                "facebook_messenger": "",
                "telegram": "",
                "disclaimer": "",
                "font_family": "arial",
                "font_size": 14,
                "width": 500,
                "image_width": 50,
                "image_border_radius": 0,
                "socials_width": 20,
                "socials_padding": 10,
                "separator_size": 0,
                "border_radius": 10,
                "background_color": "#f9f9f9",
                "border_color": "#e0e0e0",
                "theme_color": "#000000",
                "full_name_color": "#000000",
                "text_color": "#000000",
                "link_color": "#000000",
                "facebook": "johndoe",
                "threads": "johndoe",
                "x": "johndoe",
                "instagram": "johndoe",
                "youtube": "johndoe",
                "tiktok": "",
                "spotify": "",
                "pinterest": "",
                "linkedin": "",
                "snapchat": "",
                "twitch": "",
                "discord": "",
                "github": "",
                "reddit": ""
            },
            "last_datetime": null,
            "datetime": "2026-08-11 12:42:46"
        }
    ],
    "meta": {
        "page": 1,
        "results_per_page": 25,
        "total_results": 1,
        "total_pages": 1
    },
    "links": {
        "first": "https://digily.link/api/signatures?page=1",
        "last": "https://digily.link/api/signatures?page=1",
        "next": null,
        "prev": null,
        "self": "https://digily.link/api/signatures?page=1"
    }
}
GET https://digily.link/api/signatures/{signature_id}
curl --request GET \
--url 'https://digily.link/api/signatures/{signature_id}' \
--header 'Authorization: Bearer {api_key}' \
{
    "data": {
        "id": 1,
        "user_id": 1,
        "project_id": 0,
        "name": "Jane Doe",
        "template": "mars",
        "settings": {
            "direction": "ltr",
            "is_removed_branding": true,
            "image_url": "",
            "sign_off": "Regards,",
            "full_name": "Jane Doe",
            "job_title": "Software Engineer",
            "department": "Engineering",
            "company": "Example Company",
            "email": "jane@example.com",
            "website_name": "Example",
            "website_url": "https:\/\/example.com\/",
            "address": "123 Example Street",
            "address_url": "",
            "phone_number": "",
            "whatsapp": "",
            "facebook_messenger": "",
            "telegram": "",
            "disclaimer": "",
            "font_family": "arial",
            "font_size": 14,
            "width": 500,
            "image_width": 50,
            "image_border_radius": 0,
            "socials_width": 20,
            "socials_padding": 10,
            "separator_size": 0,
            "border_radius": 10,
            "background_color": "#f9f9f9",
            "border_color": "#e0e0e0",
            "theme_color": "#000000",
            "full_name_color": "#000000",
            "text_color": "#000000",
            "link_color": "#000000",
            "facebook": "janedoe",
            "threads": "janedoe",
            "x": "janedoe",
            "instagram": "janedoe",
            "youtube": "janedoe",
            "tiktok": "",
            "spotify": "",
            "pinterest": "",
            "linkedin": "",
            "snapchat": "",
            "twitch": "",
            "discord": "",
            "github": "",
            "reddit": ""
        },
        "last_datetime": null,
        "datetime": "2026-08-11 12:42:46"
    }
}
POST https://digily.link/api/signatures
パラメータ 詳細 説明
name 必須 文字列 名前
project_id オプション 整数 プロジェクトは、リソースを分類するのに役立ちます。
template オプション 文字列 許可されている値: plain_text, mars, mercury, venus, nova
direction オプション 文字列 許可されている値: ltr, rtl
is_removed_branding オプション ブール値 ブランディングを削除
image_url オプション 文字列 JPG、JPEG、GIF、PNG画像のみを使用してください。
sign_off オプション 文字列 サインオフ
full_name オプション 文字列 氏名
job_title オプション 文字列 職種
department オプション 文字列 部門
company オプション 文字列 会社
email オプション 文字列 メール
website_name オプション 文字列 ウェブサイト名
website_url オプション 文字列 ウェブサイトURL
address オプション 文字列 住所
address_url オプション 文字列 例えば、Google マップの場所へのリンク
phone_number オプション 文字列 電話番号
whatsapp オプション 文字列 WhatsApp
facebook_messenger オプション 文字列 Facebookメッセンジャーのユーザー名
telegram オプション 文字列 Telegramユーザー名
disclaimer オプション 文字列 免責事項テキスト
font_family オプション 文字列 許可されている値: arial, verdana, helvetica, times_new_roman, georgia
font_size オプション 整数 許可されている値: 12-18
width オプション 整数 許可されている値: 300-600
image_width オプション 整数 許可されている値: 45-150
image_border_radius オプション 整数 許可されている値: 0-100
socials_width オプション 整数 許可されている値: 15-30
socials_padding オプション 整数 許可されている値: 5-15
separator_size オプション 整数 許可されている値: 0-5
border_radius オプション 整数 許可されている値: 0-30
background_color オプション 文字列 背景色
border_color オプション 文字列 ボーダーの色
theme_color オプション 文字列 テーマカラー
full_name_color オプション 文字列 フルネームの色
text_color オプション 文字列 テキストの色
link_color オプション 文字列 リンクの色
facebook オプション 文字列 Facebookメッセンジャーのユーザー名
threads オプション 文字列 スレッドのユーザー名
x オプション 文字列 Xユーザー名
instagram オプション 文字列 Instagramユーザー名
youtube オプション 文字列 YouTubeチャンネル
tiktok オプション 文字列 TikTokユーザー名
spotify オプション 文字列 Spotify ユーザー名
pinterest オプション 文字列 Pinterestユーザー名
linkedin オプション 文字列 LinkedIn ユーザー名
snapchat オプション 文字列 Snapchatユーザー名
twitch オプション 文字列 Twitchユーザー名
discord オプション 文字列 DiscordユーザーID
github オプション 文字列 Github ユーザー名
reddit オプション 文字列 Redditユーザー名
curl --request POST \
--url 'https://digily.link/api/signatures' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Jane Doe' \
--form 'template=nova' \
--form 'full_name=Jane Doe' \
--form 'job_title=Software Engineer' \
--form 'company=Example Company' \
--form 'email=jane@example.com' \
--form 'background_color=#f8fafc' \
--form 'border_color=#cbd5e1' \
--form 'theme_color=#2563eb'
{
    "data": {
        "id": 1,
        "user_id": 1,
        "project_id": 0,
        "name": "Jane Doe",
        "template": "nova",
        "settings": {
            "direction": "ltr",
            "is_removed_branding": false,
            "image_url": "",
            "sign_off": "Regards,",
            "full_name": "Jane Doe",
            "job_title": "Software Engineer",
            "department": "",
            "company": "Example Company",
            "email": "jane@example.com",
            "website_name": "",
            "website_url": "",
            "address": "",
            "address_url": "",
            "phone_number": "",
            "whatsapp": null,
            "facebook_messenger": "",
            "telegram": "",
            "disclaimer": "",
            "font_family": "arial",
            "font_size": 14,
            "width": 500,
            "image_width": 50,
            "image_border_radius": 0,
            "socials_width": 20,
            "socials_padding": 10,
            "separator_size": 1,
            "border_radius": 10,
            "background_color": "#f8fafc",
            "border_color": "#cbd5e1",
            "theme_color": "#2563eb",
            "full_name_color": "#000000",
            "text_color": "#000000",
            "link_color": "#000000",
            "facebook": "",
            "threads": "",
            "x": "",
            "instagram": "",
            "youtube": "",
            "tiktok": "",
            "spotify": "",
            "pinterest": "",
            "linkedin": "",
            "snapchat": "",
            "twitch": "",
            "discord": "",
            "github": "",
            "reddit": ""
        },
        "last_datetime": null,
        "datetime": "2026-08-11 12:42:46"
    }
}
POST https://digily.link/api/signatures/{signature_id}
パラメータ 詳細 説明
name オプション 文字列 名前
project_id オプション 整数 プロジェクトは、リソースを分類するのに役立ちます。
template オプション 文字列 許可されている値: plain_text, mars, mercury, venus, nova
direction オプション 文字列 許可されている値: ltr, rtl
is_removed_branding オプション ブール値 ブランディングを削除
image_url オプション 文字列 JPG、JPEG、GIF、PNG画像のみを使用してください。
sign_off オプション 文字列 サインオフ
full_name オプション 文字列 氏名
job_title オプション 文字列 職種
department オプション 文字列 部門
company オプション 文字列 会社
email オプション 文字列 メール
website_name オプション 文字列 ウェブサイト名
website_url オプション 文字列 ウェブサイトURL
address オプション 文字列 住所
address_url オプション 文字列 例えば、Google マップの場所へのリンク
phone_number オプション 文字列 電話番号
whatsapp オプション 文字列 WhatsApp
facebook_messenger オプション 文字列 Facebookメッセンジャーのユーザー名
telegram オプション 文字列 Telegramユーザー名
disclaimer オプション 文字列 免責事項テキスト
font_family オプション 文字列 許可されている値: arial, verdana, helvetica, times_new_roman, georgia
font_size オプション 整数 許可されている値: 12-18
width オプション 整数 許可されている値: 300-600
image_width オプション 整数 許可されている値: 45-150
image_border_radius オプション 整数 許可されている値: 0-100
socials_width オプション 整数 許可されている値: 15-30
socials_padding オプション 整数 許可されている値: 5-15
separator_size オプション 整数 許可されている値: 0-5
border_radius オプション 整数 許可されている値: 0-30
background_color オプション 文字列 背景色
border_color オプション 文字列 ボーダーの色
theme_color オプション 文字列 テーマカラー
full_name_color オプション 文字列 フルネームの色
text_color オプション 文字列 テキストの色
link_color オプション 文字列 リンクの色
facebook オプション 文字列 Facebookメッセンジャーのユーザー名
threads オプション 文字列 スレッドのユーザー名
x オプション 文字列 Xユーザー名
instagram オプション 文字列 Instagramユーザー名
youtube オプション 文字列 YouTubeチャンネル
tiktok オプション 文字列 TikTokユーザー名
spotify オプション 文字列 Spotify ユーザー名
pinterest オプション 文字列 Pinterestユーザー名
linkedin オプション 文字列 LinkedIn ユーザー名
snapchat オプション 文字列 Snapchatユーザー名
twitch オプション 文字列 Twitchユーザー名
discord オプション 文字列 DiscordユーザーID
github オプション 文字列 Github ユーザー名
reddit オプション 文字列 Redditユーザー名
curl --request POST \
--url 'https://digily.link/api/signatures/{signature_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Jane Doe Signature' \
--form 'border_radius=16' \
--form 'background_color=#fff7ed' \
--form 'border_color=#fed7aa' \
--form 'theme_color=#c2410c'
{
    "data": {
        "id": 1,
        "user_id": 1,
        "project_id": 0,
        "name": "Jane Doe Signature",
        "template": "nova",
        "settings": {
            "direction": "ltr",
            "is_removed_branding": false,
            "image_url": "",
            "sign_off": "Regards,",
            "full_name": "Jane Doe",
            "job_title": "Software Engineer",
            "department": "",
            "company": "Example Company",
            "email": "jane@example.com",
            "website_name": "",
            "website_url": "",
            "address": "",
            "address_url": "",
            "phone_number": "",
            "whatsapp": null,
            "facebook_messenger": "",
            "telegram": "",
            "disclaimer": "",
            "font_family": "arial",
            "font_size": 14,
            "width": 500,
            "image_width": 50,
            "image_border_radius": 0,
            "socials_width": 20,
            "socials_padding": 10,
            "separator_size": 1,
            "border_radius": 16,
            "background_color": "#fff7ed",
            "border_color": "#fed7aa",
            "theme_color": "#c2410c",
            "full_name_color": "#000000",
            "text_color": "#000000",
            "link_color": "#000000",
            "facebook": "",
            "threads": "",
            "x": "",
            "instagram": "",
            "youtube": "",
            "tiktok": "",
            "spotify": "",
            "pinterest": "",
            "linkedin": "",
            "snapchat": "",
            "twitch": "",
            "discord": "",
            "github": "",
            "reddit": ""
        },
        "last_datetime": "2026-08-11 12:42:46",
        "datetime": "2026-08-11 12:42:46"
    }
}
DELETE https://digily.link/api/signatures/{signature_id}
curl --request DELETE \
--url 'https://digily.link/api/signatures/{signature_id}' \
--header 'Authorization: Bearer {api_key}' \